public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Frysinger" <vapier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-devel/flex/
Date: Sat,  2 Apr 2016 21:55:06 +0000 (UTC)	[thread overview]
Message-ID: <1459634099.2b3a407b661078b2b116ee79dc7a10486d16f3a4.vapier@gentoo> (raw)

commit:     2b3a407b661078b2b116ee79dc7a10486d16f3a4
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  2 21:54:38 2016 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Sat Apr  2 21:54:59 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b3a407b

sys-devel/flex: version bump 2.6.1 #578844

 sys-devel/flex/Manifest          |  1 +
 sys-devel/flex/flex-2.6.1.ebuild | 78 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/sys-devel/flex/Manifest b/sys-devel/flex/Manifest
index c9d385a..8309f25 100644
--- a/sys-devel/flex/Manifest
+++ b/sys-devel/flex/Manifest
@@ -1,2 +1,3 @@
 DIST flex-2.5.39.tar.xz 1347436 SHA256 c988bb3ab340aaba16df5a54ab98bb4760599975375c8ac9388a078b7f27e9e8 SHA512 488bfd40043851d6f069333090081cc09c8754cd098dd24655ea705dd381efc4e88080fe8060fe6c790f450695f1b209f7115b154723c203f43b00f4ccfa5bec WHIRLPOOL 6f46ed30ca3a3ac6449170171205031ab821a0d78aaed36c7faf59c12724f8787092ba1a3ea846e359791476da7f9bb007155caac60e696326445c75c5d70dd5
 DIST flex-2.6.0.tar.xz 1369552 SHA256 d39b15a856906997ced252d76e9bfe2425d7503c6ed811669665627b248e4c73 SHA512 9cd48aa79ce70814902745d6e67f677bcc67f23dcc46ebb5f2963efac0d8f6f6c10ee87369d2d7557d29e390a3502dd99246db0fd2e096b9e7bb6e16d51d3abe WHIRLPOOL e44cab6763699a9d4d8af29b8c45c2e5b203a643834730f35e5745d145e5b3a4605506da209aa8e4e087e2e8872926261d0d2f29751d616cc77df36021d753b2
+DIST flex-2.6.1.tar.xz 835048 SHA256 2c7a412c1640e094cb058d9b2fe39d450186e09574bebb7aa28f783e3799103f SHA512 1e35d0447f59139b98ede085d1a603d4f61cf8bc11cf2e291a3f492a05c60ee61535481b878585cd6843cd9b3c7952c834adfa78a6a71c64802e7b3069dec9d1 WHIRLPOOL d671017fd516f5d6457a896f1d50d4a4d310d32476a6db8f1ed99305a96955eec7586d8ef2aff1e03795be3f7417e0f1d8925b073788a14abcdd38868822eb67

diff --git a/sys-devel/flex/flex-2.6.1.ebuild b/sys-devel/flex/flex-2.6.1.ebuild
new file mode 100644
index 0000000..b63f0fc
--- /dev/null
+++ b/sys-devel/flex/flex-2.6.1.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils flag-o-matic multilib-minimal
+
+DESCRIPTION="The Fast Lexical Analyzer"
+HOMEPAGE="https://flex.sourceforge.net/ https://github.com/westes/flex"
+SRC_URI="https://github.com/westes/flex/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="FLEX"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="nls static test"
+
+# We want bison explicitly and not yacc in general #381273
+RDEPEND="sys-devel/m4"
+DEPEND="${RDEPEND}
+	app-arch/xz-utils
+	nls? ( sys-devel/gettext )
+	test? ( sys-devel/bison )"
+
+src_prepare() {
+	# Disable running in the tests/ subdir as it has a bunch of built sources
+	# that cannot be made conditional (automake limitation). #568842
+	if ! use test ; then
+		sed -i \
+			-e '/^SUBDIRS =/,/^$/{/tests/d}' \
+			Makefile.in || die
+	fi
+}
+
+src_configure() {
+	use static && append-ldflags -static
+
+	multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+	# Do not install shared libs #503522
+	ECONF_SOURCE=${S} \
+	econf \
+		--disable-shared \
+		$(use_enable nls) \
+		--docdir='$(datarootdir)/doc/'${PF}
+}
+
+multilib_src_compile() {
+	if multilib_is_native_abi; then
+		default
+	else
+		cd src || die
+		emake -f Makefile -f - lib <<< 'lib: $(lib_LTLIBRARIES)'
+	fi
+}
+
+multilib_src_test() {
+	multilib_is_native_abi && emake check
+}
+
+multilib_src_install() {
+	if multilib_is_native_abi; then
+		default
+	else
+		cd src || die
+		emake DESTDIR="${D}" install-libLTLIBRARIES install-includeHEADERS
+	fi
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	dodoc ONEWS
+	prune_libtool_files --all
+	rm "${ED}"/usr/share/doc/${PF}/COPYING || die
+	dosym flex /usr/bin/lex
+}


             reply	other threads:[~2016-04-02 21:55 UTC|newest]

Thread overview: 73+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-04-02 21:55 Mike Frysinger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-04 11:09 [gentoo-commits] repo/gentoo:master commit in: sys-devel/flex/ Sam James
2023-04-22 12:13 Sam James
2023-04-07  6:56 Sam James
2023-04-07  6:38 Sam James
2023-04-07  5:07 Sam James
2023-04-07  5:07 Sam James
2023-04-07  5:07 Sam James
2023-04-07  5:07 Sam James
2023-04-07  5:07 Sam James
2023-04-07  5:07 Sam James
2023-02-20 13:49 Sam James
2022-12-27 19:53 Sam James
2022-12-27 19:45 Sam James
2022-12-27 13:40 Sam James
2022-12-27 11:31 Sam James
2022-12-02 21:16 Sam James
2022-11-18  7:50 Arthur Zamarin
2022-11-18  4:54 Sam James
2022-11-18  4:54 Sam James
2022-11-18  4:54 Sam James
2022-11-18  4:54 Sam James
2022-11-18  4:54 Sam James
2022-11-18  4:54 Sam James
2022-11-18  4:26 Sam James
2022-10-28  2:02 Sam James
2022-10-28  1:54 Sam James
2022-09-26  4:16 Arthur Zamarin
2022-09-25  7:21 Arthur Zamarin
2022-09-25  6:25 Agostino Sarubbo
2022-09-25  6:24 Agostino Sarubbo
2022-09-25  4:43 Sam James
2022-09-25  4:43 Sam James
2022-09-25  4:35 Sam James
2022-09-25  4:35 Sam James
2022-06-17 12:11 Sam James
2021-05-17 22:36 Sam James
2021-03-23 20:58 Lars Wendler
2021-01-06 15:32 Fabian Groffen
2020-12-27 18:18 Fabian Groffen
2020-06-13 14:58 Mike Gilbert
2020-05-04 17:36 Thomas Deutschmann
2020-02-15 10:03 David Seifert
2019-05-04 19:51 Andreas K. Hüttel
2018-04-21  9:29 Mikle Kolyada
2018-04-14 21:33 Mart Raudsepp
2017-11-25 11:55 Markus Meier
2017-11-02 14:33 Tobias Klausmann
2017-10-24 19:23 Sergei Trofimovich
2017-10-24 18:56 Sergei Trofimovich
2017-10-23 20:51 Sergei Trofimovich
2017-10-23 18:42 Thomas Deutschmann
2017-10-23 13:11 Manuel Rüger
2017-09-09  8:28 Sergei Trofimovich
2017-05-07 18:55 Lars Wendler
2017-03-21 15:46 Michael Haubenwallner
2017-03-19 10:13 Fabian Groffen
2017-03-19 10:10 Fabian Groffen
2017-01-17 20:38 Mike Frysinger
2017-01-09 13:52 Jeroen Roovers
2016-12-30 21:18 Lars Wendler
2016-12-22  9:34 Agostino Sarubbo
2016-12-20  9:44 Agostino Sarubbo
2016-12-19 15:12 Agostino Sarubbo
2016-12-19 14:35 Agostino Sarubbo
2016-12-02 14:21 Tobias Klausmann
2016-11-30 19:34 Markus Meier
2016-11-29 11:23 Agostino Sarubbo
2016-11-29 11:22 Agostino Sarubbo
2016-10-26  8:06 Lars Wendler
2016-10-26  8:06 Lars Wendler
2015-12-20 18:04 Mike Frysinger
2015-11-23 11:02 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1459634099.2b3a407b661078b2b116ee79dc7a10486d16f3a4.vapier@gentoo \
    --to=vapier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox